Debian Bug report logs - #511582
packaged opie 2.4, fixing testsuite failures on arm/armel

version graph

Package: opie; Maintainer for opie is Michael Stone <mstone@debian.org>;

Reported by: Matthias Klose <doko@cs.tu-berlin.de>

Date: Mon, 12 Jan 2009 13:54:02 UTC

Severity: serious

Tags: patch, squeeze-ignore

Found in version 2.32-10.2

Fixed in version 2.32.dfsg.1-0.2+rm

Done: Debian FTP Masters <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-arm@lists.debian.org, Michael Stone <mstone@debian.org>:
Bug#511582; Package opie. (Mon, 12 Jan 2009 13:54:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthias Klose <doko@cs.tu-berlin.de>:
New Bug report received and forwarded. Copy sent to debian-arm@lists.debian.org, Michael Stone <mstone@debian.org>. (Mon, 12 Jan 2009 13:54:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@cs.tu-berlin.de>
To: submit@bugs.debian.org
Subject: packaged opie 2.4, fixing testsuite failures on arm/armel
Date: Mon, 12 Jan 2009 14:52:16 +0100
Package: opie
Version: 2.32-10.2
Severity: important

I packaged 2.4, based on the OpenSuse srpm, fixing the test failures
on armel. The package can be found at
https://launchpad.net/ubuntu/+source/opie/2.40~dfsg-0ubuntu1
#511570 is fixed as well.




Information forwarded to debian-bugs-dist@lists.debian.org, Michael Stone <mstone@debian.org>:
Bug#511582; Package opie. (Wed, 20 May 2009 13:03:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Riku Voipio <riku.voipio@iki.fi>:
Extra info received and forwarded to list. Copy sent to Michael Stone <mstone@debian.org>. (Wed, 20 May 2009 13:03:02 GMT) Full text and rfc822 format available.

Message #10 received at 511582@bugs.debian.org (full text, mbox):

From: Riku Voipio <riku.voipio@iki.fi>
To: control@bugs.debian.org
Cc: 511582@bugs.debian.org, mstone@debian.org
Subject: re: packaged opie 2.4, fixing testsuite failures on arm/armel
Date: Wed, 20 May 2009 16:01:00 +0300
user debian-arm@lists.debian.org
usertag 511582 + eabi
thanks

I'll proceed to NMU this package based on the ubuntu version
on the weekend If I hear nothing from you.





Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#511582; Package opie. (Wed, 20 May 2009 13:33:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Stone <mstone@debian.org>:
Extra info received and forwarded to list. (Wed, 20 May 2009 13:33:02 GMT) Full text and rfc822 format available.

Message #15 received at 511582@bugs.debian.org (full text, mbox):

From: Michael Stone <mstone@debian.org>
To: Riku Voipio <riku.voipio@iki.fi>
Cc: 511582@bugs.debian.org
Subject: Re: packaged opie 2.4, fixing testsuite failures on arm/armel
Date: Wed, 20 May 2009 09:26:26 -0400
On Wed, May 20, 2009 at 04:01:00PM +0300, Riku Voipio wrote:
>I'll proceed to NMU this package based on the ubuntu version
>on the weekend If I hear nothing from you.

Please resolve some outstanding license issues. (There are references to 
some files being licensed under "Inner Net License, Version 3", but only 
the text for Version 2 is included in the package.) Also, I don't 
understand patch items like this:

--- opie-2.40~dfsg.orig/libopie/version.c
+++ opie-2.40~dfsg/libopie/version.c
@@ -17,9 +17,13 @@
        Modified by cmetz for OPIE 2.2. Use FUNCTION declaration et al.
         Created at NRL for OPIE 2.2 from opiesubr.c. */
+#include <stdio.h>
+#include <stdlib.h>
 #include "opie_cfg.h"
 #include "opie.h"
 
+#include <stdio.h>
+
 VOIDRET opieversion FUNCTION_NOARGS
 {
   printf("\nOPIE %s (%s)\n\n", VERSION, DATE);





Information forwarded to debian-bugs-dist@lists.debian.org, Michael Stone <mstone@debian.org>:
Bug#511582; Package opie. (Wed, 20 May 2009 14:00:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Riku Voipio <riku.voipio@iki.fi>:
Extra info received and forwarded to list. Copy sent to Michael Stone <mstone@debian.org>. (Wed, 20 May 2009 14:00:02 GMT) Full text and rfc822 format available.

Message #20 received at 511582@bugs.debian.org (full text, mbox):

From: Riku Voipio <riku.voipio@iki.fi>
To: Michael Stone <mstone@debian.org>
Cc: 511582@bugs.debian.org
Subject: Re: packaged opie 2.4, fixing testsuite failures on arm/armel
Date: Wed, 20 May 2009 16:57:43 +0300
On Wed, May 20, 2009 at 09:26:26AM -0400, Michael Stone wrote:
> On Wed, May 20, 2009 at 04:01:00PM +0300, Riku Voipio wrote:
>> I'll proceed to NMU this package based on the ubuntu version
>> on the weekend If I hear nothing from you.

> Please resolve some outstanding license issues. (There are references to  
> some files being licensed under "Inner Net License, Version 3", but only  
> the text for Version 2 is included in the package.)

bah, I don't want to deal with licensing issues. I'll use my time elsewhere.

> Also, I don't  
> understand patch items like this:

> --- opie-2.40~dfsg.orig/libopie/version.c
> +++ opie-2.40~dfsg/libopie/version.c
> @@ -17,9 +17,13 @@
>         Modified by cmetz for OPIE 2.2. Use FUNCTION declaration et al.
>          Created at NRL for OPIE 2.2 from opiesubr.c. */
> +#include <stdio.h>
> +#include <stdlib.h>
>  #include "opie_cfg.h"
>  #include "opie.h"
>  +#include <stdio.h>
> +
>  VOIDRET opieversion FUNCTION_NOARGS
>  {
>    printf("\nOPIE %s (%s)\n\n", VERSION, DATE);




Information forwarded to debian-bugs-dist@lists.debian.org, Michael Stone <mstone@debian.org>:
Bug#511582; Package opie. (Thu, 06 Aug 2009 14:48:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luk Claes <luk@debian.org>:
Extra info received and forwarded to list. Copy sent to Michael Stone <mstone@debian.org>. (Thu, 06 Aug 2009 14:48:02 GMT) Full text and rfc822 format available.

Message #25 received at 511582@bugs.debian.org (full text, mbox):

From: Luk Claes <luk@debian.org>
To: 511582@bugs.debian.org
Subject: Re: packaged opie 2.4, fixing testsuite failures on arm/armel
Date: Thu, 06 Aug 2009 16:45:06 +0200
> Please resolve some outstanding license issues. (There are references to
> some files being licensed under "Inner Net License, Version 3", but only
> the text for Version 2 is included in the package.)

Is there any progress on this?

Cheers

Luk




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#511582; Package opie. (Thu, 06 Aug 2009 17:06:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Stone <mstone@debian.org>:
Extra info received and forwarded to list. (Thu, 06 Aug 2009 17:06:07 GMT) Full text and rfc822 format available.

Message #30 received at 511582@bugs.debian.org (full text, mbox):

From: Michael Stone <mstone@debian.org>
To: Luk Claes <luk@debian.org>, 511582@bugs.debian.org
Subject: Re: Bug#511582: packaged opie 2.4, fixing testsuite failures on arm/armel
Date: Thu, 06 Aug 2009 13:03:05 -0400
On Thu, Aug 06, 2009 at 04:45:06PM +0200, you wrote:
>> Please resolve some outstanding license issues. (There are references to
>> some files being licensed under "Inner Net License, Version 3", but only
>> the text for Version 2 is included in the package.)
>
>Is there any progress on this?

No; I have had no response from upstream in a long time. What probably 
needs to happen is move off the existing code and switch to freebsd's 
implementation or somesuch. 

Mike Stone




Severity set to 'serious' from 'important' Request was from Luk Claes <luk@debian.org> to control@bugs.debian.org. (Wed, 30 Dec 2009 23:57:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Michael Stone <mstone@debian.org>:
Bug#511582; Package opie. (Mon, 01 Feb 2010 00:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthew James Goins <mjgoins@openflows.com>:
Extra info received and forwarded to list. Copy sent to Michael Stone <mstone@debian.org>. (Mon, 01 Feb 2010 00:09:03 GMT) Full text and rfc822 format available.

Message #37 received at 511582@bugs.debian.org (full text, mbox):

From: Matthew James Goins <mjgoins@openflows.com>
To: 511582@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Patch to fix alignment problem
Date: Sun, 31 Jan 2010 18:42:09 -0500
[Message part 1 (text/plain, inline)]
package opie
tags 511582 + patch
thanks

The test was failing because of an aligment error. Alignment errors are usually
silently ignored on armel.

The attached patch fixes the test suite failures, regardless of alignment by
doing bytewise xor operations in opiehash(), rather than wordwise.

This patch does not address the licensing issues raise by the maintainer.

This patch was a joint effort between Matthew James Goins and Daniel Kahn
Gillmor.

[511582.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Added tag(s) patch. Request was from Matthew James Goins <mjgoins@openflows.com> to control@bugs.debian.org. (Mon, 01 Feb 2010 00:09:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Michael Stone <mstone@debian.org>:
Bug#511582; Package opie. (Mon, 01 Feb 2010 05:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Kahn Gillmor <dkg@fifthhorseman.net>:
Extra info received and forwarded to list. Copy sent to Michael Stone <mstone@debian.org>. (Mon, 01 Feb 2010 05:54:03 GMT) Full text and rfc822 format available.

Message #44 received at 511582@bugs.debian.org (full text, mbox):

From: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
To: 511582@bugs.debian.org
Subject: #511582: updated patch, also fixes lintian error (and a few lintian warnings)
Date: Mon, 01 Feb 2010 00:51:43 -0500
[Message part 1 (text/plain, inline)]
here is a revised patch for #511582 for opie, including a slightly
simpler fix for misaligned XORs and also fixing a lintian error and
several lintian warnings.

However, it still does not resolve the licensing concerns described on
this bug, and it also leaves several lintian warnings unresolved:

W: opie source: package-uses-deprecated-debhelper-compat-version 3
W: opie source: debian-rules-sets-DH_COMPAT line 5
W: opie source: ancient-standards-version 3.6.1.0 (current is 3.8.3)
W: opie-server: non-standard-file-perm etc/opiekeys 0600 != 0644
W: opie-server: setuid-binary usr/bin/opiepasswd 4755 root/root

In particular, i'm concerned that this package has a setuid binary, has
had only NMUs since 2004, hasn't been reviewed for recent Standards or
debhelper versions, and http://bugs.debian.org/511582#30 suggests that
the maintainer seems to think that we should move away from the codebase.

I'm wondering if we should remove the package from the archive entirely
as a result of this review.  I'm not comfortable NMUing a package with
these outstanding concerns.

Any thoughts or suggestions?

	--dkg
[511582.diff (text/x-patch, inline)]
diff -u opie-2.32.dfsg.1/libopie/hash.c opie-2.32.dfsg.1/libopie/hash.c
--- opie-2.32.dfsg.1/libopie/hash.c
+++ opie-2.32.dfsg.1/libopie/hash.c
@@ -22,7 +22,8 @@
 
 VOIDRET opiehash FUNCTION((x, algorithm), VOIDPTR x AND unsigned algorithm)
 {
-  UINT4 *results = (UINT4 *)x;
+  unsigned char *results = (unsigned char *)x;
+  int i;
 
   switch(algorithm) {
 #if 0
@@ -32,30 +33,32 @@
       SHAInit(&sha);
       SHAUpdate(&sha, (unsigned char *)x, 8);
       SHAFinal(&sha);
-      results[0] = sha.buffer[0] ^ sha.buffer[2] ^ sha.buffer[4];
-      results[1] = sha.buffer[1] ^ sha.buffer[3];
+      for (i = 0; i < 4; i++)
+        results[i] = sha.buffer[i] ^ sha.buffer[8+i] ^ sha.buffer[16+i];
+      for (i = 4; i < 8; i++)
+        results[i] = sha.buffer[i] ^ sha.buffer[12+i];
       };
       break;
 #endif /* 0 */
     case 4:
       {
-      UINT4 mdx_tmp[4];
+      unsigned char mdx_tmp[16];
 
-      mdfour((unsigned char *)mdx_tmp, (unsigned char *)x, 8);
-      results[0] = mdx_tmp[0] ^ mdx_tmp[2];
-      results[1] = mdx_tmp[1] ^ mdx_tmp[3];
+      mdfour(mdx_tmp, (unsigned char *)x, 8);
+      for (i = 0; i < 8; i++)
+        results[i] = mdx_tmp[i] ^ mdx_tmp[8+i];
       };
       break;
     case 5:
       {
       md5_state_t mdx;
-      UINT4 mdx_tmp[4];
+      unsigned char mdx_tmp[16];
 
       md5_init(&mdx);
       md5_append(&mdx, (unsigned char *)x, 8);
       md5_finish(&mdx, (unsigned char *)mdx_tmp);
-      results[0] = mdx_tmp[0] ^ mdx_tmp[2];
-      results[1] = mdx_tmp[1] ^ mdx_tmp[3];
+      for (i = 0; i < 8; i++)
+        results[i] = mdx_tmp[i] ^ mdx_tmp[8+i];
       };
       break;
   }
diff -u opie-2.32.dfsg.1/debian/control opie-2.32.dfsg.1/debian/control
--- opie-2.32.dfsg.1/debian/control
+++ opie-2.32.dfsg.1/debian/control
@@ -7,7 +7,7 @@
 
 Package: opie-client
 Architecture: any
-Depends: ${shlibs:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Conflicts: opie
 Description: OPIE programs for generating OTPs on client machines
  This package contains the necessary generators to produce one-time
@@ -16,7 +16,7 @@
 
 Package: opie-server
 Architecture: any
-Depends: ${shlibs:Depends}, opie-client, libpam-opie
+Depends: ${shlibs:Depends}, ${misc:Depends}, opie-client, libpam-opie
 Conflicts: suidmanager (<< 0.50)
 Recommends: libpam-opie
 Description: OPIE programs for maintaining an OTP key file
@@ -26,8 +26,9 @@
  for authentication.
 
 Package: libopie-dev
-Section: devel
+Section: libdevel
 Architecture: any
+Depends: ${misc:Depends}
 Description: OPIE library development files.
  OPIE (One-time Password In Everything) is a system which makes it 
  simple to use One-Time passwords in applications.
reverted:
--- opie-2.32.dfsg.1/debian/opie-server.conffiles
+++ opie-2.32.dfsg.1.orig/debian/opie-server.conffiles
@@ -1 +0,0 @@
-/etc/opiekeys
diff -u opie-2.32.dfsg.1/debian/changelog opie-2.32.dfsg.1/debian/changelog
--- opie-2.32.dfsg.1/debian/changelog
+++ opie-2.32.dfsg.1/debian/changelog
@@ -1,3 +1,17 @@
+opie (2.32.dfsg.1-0.2) unstable; urgency=low
+
+  * Non-maintainer upload.
+  * resolve build/test alignment issues on armel by making opiehash() do
+    byte-wise (instead of word-wise) XOR operations. (Closes: #511582)
+  * remove debian/opie-server.conffiles to clear a duplicate-conffile
+    lintian error.  (thanks for the catch, lintian!)
+  * debian/rules (clean target): rm confdefs.h so that rebuilds do not
+    produce variant diffs.
+  * debian/control: add misc:Depends, fix section for libopie-dev (thanks,
+    lintian!)
+
+ -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Sun, 31 Jan 2010 23:48:32 -0500
+
 opie (2.32.dfsg.1-0.1) unstable; urgency=high
 
   * Non-maintainer upload.
diff -u opie-2.32.dfsg.1/debian/rules opie-2.32.dfsg.1/debian/rules
--- opie-2.32.dfsg.1/debian/rules
+++ opie-2.32.dfsg.1/debian/rules
@@ -20,7 +20,7 @@
 	dh_testroot
 	test -e Makefile && $(MAKE) clean || true
 	rm -f Makefile
-	rm -f config.cache config.h config.log config.status
+	rm -f config.cache config.h config.log config.status confdefs.h
 	rm -f libmissing/Makefile libopie/Makefile
 	rm -f build-stamp install-stamp
 	dh_clean
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Michael Stone <mstone@debian.org>:
Bug#511582; Package opie. (Mon, 01 Feb 2010 06:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Kahn Gillmor <dkg@fifthhorseman.net>:
Extra info received and forwarded to list. Copy sent to Michael Stone <mstone@debian.org>. (Mon, 01 Feb 2010 06:33:03 GMT) Full text and rfc822 format available.

Message #49 received at 511582@bugs.debian.org (full text, mbox):

From: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
To: 511582@bugs.debian.org
Subject: opie licensing issues followup
Date: Mon, 01 Feb 2010 01:28:19 -0500
[Message part 1 (text/plain, inline)]
Hi folks--

More notes about licensing for opie:

looking at

http://www.inner.net/pub/opie/test/

it appears that an update to 2.4.1-test1 was made only two weeks ago
(the -fixes.diff has a datestamp of 2010-01-16), removing the NOT FOR
REDISTRIBUTION flags in the files, from cmetz according to the diff
headers.  So some (minor?) upstream activity does appear to be happening.

the 2.4.1 tarball contains the inverse problem from the one described in
 http://bugs.debian.org/511582#15 -- the source code contains scattered
references to the Inner Net license version 2 and version 3, but only
the full text of version *3* appears to be included in the package.

Arguably, we do have version 2 from the previous packages, though.
maybe that can break the licensing logjam here?

Note that version 3 of the license seems better than version 2 (no more
OpenSSL-style advertising requirements, for example).

Hopefully this is useful in thinking about the future of the package, if
people are still interested in keeping it in the archive.

Maybe there's some way to take advantage of the brief attention from
upstream?

Regards,

	--dkg

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Michael Stone <mstone@debian.org>:
Bug#511582; Package opie. (Sat, 17 Jul 2010 14:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Arne Wichmann <aw@linux.de>:
Extra info received and forwarded to list. Copy sent to Michael Stone <mstone@debian.org>. (Sat, 17 Jul 2010 14:00:03 GMT) Full text and rfc822 format available.

Message #54 received at 511582@bugs.debian.org (full text, mbox):

From: Arne Wichmann <aw@linux.de>
To: 511582@bugs.debian.org
Subject: Ping
Date: Sat, 17 Jul 2010 15:57:41 +0200
[Message part 1 (text/plain, inline)]
Is there anything happening here? The issue is now open for 18 Months...

cu

AW
-- 
[...] If you don't want to be restricted, don't agree to it. If you are
coerced, comply as much as you must to protect yourself, just don't support
it. Noone can free you but yourself. (crag, on Debian Planet)
Arne Wichmann (aw@linux.de)
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Michael Stone <mstone@debian.org>:
Bug#511582; Package opie. (Fri, 03 Sep 2010 17:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Michael Stone <mstone@debian.org>. (Fri, 03 Sep 2010 17:00:03 GMT) Full text and rfc822 format available.

Message #59 received at 511582@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Daniel Kahn Gillmor <dkg@fifthhorseman.net>, 511582@bugs.debian.org
Cc: cyrus-sasl2@packages.debian.org, inetutils@packages.debian.org, libpam-opie@packages.debian.org
Subject: Re: Bug#511582: #511582: updated patch, also fixes lintian error (and a few lintian warnings)
Date: Fri, 3 Sep 2010 18:56:04 +0200
[Message part 1 (text/plain, inline)]
On Mon, Feb  1, 2010 at 00:51:43 -0500, Daniel Kahn Gillmor wrote:

> here is a revised patch for #511582 for opie, including a slightly
> simpler fix for misaligned XORs and also fixing a lintian error and
> several lintian warnings.
> 
> However, it still does not resolve the licensing concerns described on
> this bug, and it also leaves several lintian warnings unresolved:
> 
> W: opie source: package-uses-deprecated-debhelper-compat-version 3
> W: opie source: debian-rules-sets-DH_COMPAT line 5
> W: opie source: ancient-standards-version 3.6.1.0 (current is 3.8.3)
> W: opie-server: non-standard-file-perm etc/opiekeys 0600 != 0644
> W: opie-server: setuid-binary usr/bin/opiepasswd 4755 root/root
> 
> In particular, i'm concerned that this package has a setuid binary, has
> had only NMUs since 2004, hasn't been reviewed for recent Standards or
> debhelper versions, and http://bugs.debian.org/511582#30 suggests that
> the maintainer seems to think that we should move away from the codebase.
> 
> I'm wondering if we should remove the package from the archive entirely
> as a result of this review.  I'm not comfortable NMUing a package with
> these outstanding concerns.
> 
In order to remove the package, we'd have to remove its reverse
dependencies, or change them to not need libopie-dev.  According to dak,
that would be cyrus-sasl2, inetutils and libpam-opie.  Is opie an
optional dependency for those packages (I'm guessing not for
libpam-opie, no idea for the others)?

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Michael Stone <mstone@debian.org>:
Bug#511582; Package opie. (Fri, 03 Sep 2010 18:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Guillem Jover <guillem@debian.org>:
Extra info received and forwarded to list. Copy sent to Michael Stone <mstone@debian.org>. (Fri, 03 Sep 2010 18:45:03 GMT) Full text and rfc822 format available.

Message #64 received at 511582@bugs.debian.org (full text, mbox):

From: Guillem Jover <guillem@debian.org>
To: Julien Cristau <jcristau@debian.org>
Cc: Daniel Kahn Gillmor <dkg@fifthhorseman.net>, 511582@bugs.debian.org, cyrus-sasl2@packages.debian.org, inetutils@packages.debian.org, libpam-opie@packages.debian.org
Subject: Re: Bug#511582: #511582: updated patch, also fixes lintian error (and a few lintian warnings)
Date: Fri, 3 Sep 2010 20:39:05 +0200
On Fri, 2010-09-03 at 18:56:04 +0200, Julien Cristau wrote:
> On Mon, Feb  1, 2010 at 00:51:43 -0500, Daniel Kahn Gillmor wrote:
> > I'm wondering if we should remove the package from the archive entirely
> > as a result of this review.  I'm not comfortable NMUing a package with
> > these outstanding concerns.

> In order to remove the package, we'd have to remove its reverse
> dependencies, or change them to not need libopie-dev.  According to dak,
> that would be cyrus-sasl2, inetutils and libpam-opie.  Is opie an
> optional dependency for those packages (I'm guessing not for
> libpam-opie, no idea for the others)?

Just checked for inetutils, and it's actually not being used, upstream
removed the users, but not the configure check. I'll fix that for next
upload.

thanks,
guillem




Information forwarded to debian-bugs-dist@lists.debian.org, Michael Stone <mstone@debian.org>:
Bug#511582; Package opie. (Wed, 03 Nov 2010 22:33:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Moritz Muehlenhoff <jmm@inutil.org>:
Extra info received and forwarded to list. Copy sent to Michael Stone <mstone@debian.org>. (Wed, 03 Nov 2010 22:33:06 GMT) Full text and rfc822 format available.

Message #69 received at 511582@bugs.debian.org (full text, mbox):

From: Moritz Muehlenhoff <jmm@inutil.org>
To: Guillem Jover <guillem@debian.org>
Cc: Julien Cristau <jcristau@debian.org>, Daniel Kahn Gillmor <dkg@fifthhorseman.net>, 511582@bugs.debian.org, cyrus-sasl2@packages.debian.org, inetutils@packages.debian.org, libpam-opie@packages.debian.org
Subject: Re: Bug#511582: #511582: updated patch, also fixes lintian error (and a few lintian warnings)
Date: Wed, 3 Nov 2010 23:30:38 +0100
On Fri, Sep 03, 2010 at 08:39:05PM +0200, Guillem Jover wrote:
> On Fri, 2010-09-03 at 18:56:04 +0200, Julien Cristau wrote:
> > On Mon, Feb  1, 2010 at 00:51:43 -0500, Daniel Kahn Gillmor wrote:
> > > I'm wondering if we should remove the package from the archive entirely
> > > as a result of this review.  I'm not comfortable NMUing a package with
> > > these outstanding concerns.
> 
> > In order to remove the package, we'd have to remove its reverse
> > dependencies, or change them to not need libopie-dev.  According to dak,
> > that would be cyrus-sasl2, inetutils and libpam-opie.  Is opie an
> > optional dependency for those packages (I'm guessing not for
> > libpam-opie, no idea for the others)?
> 
> Just checked for inetutils, and it's actually not being used, upstream
> removed the users, but not the configure check. I'll fix that for next
> upload.

Guillem, you seem to have only dropped it in experimental. Are you
planning the same for sid/squeeze?

Cheers,
        Moritz




Information forwarded to debian-bugs-dist@lists.debian.org, Michael Stone <mstone@debian.org>:
Bug#511582; Package opie. (Thu, 04 Nov 2010 22:45:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Moritz Muehlenhoff <jmm@inutil.org>:
Extra info received and forwarded to list. Copy sent to Michael Stone <mstone@debian.org>. (Thu, 04 Nov 2010 22:45:06 GMT) Full text and rfc822 format available.

Message #74 received at 511582@bugs.debian.org (full text, mbox):

From: Moritz Muehlenhoff <jmm@inutil.org>
To: Julien Cristau <jcristau@debian.org>
Cc: Daniel Kahn Gillmor <dkg@fifthhorseman.net>, 511582@bugs.debian.org, cyrus-sasl2@packages.debian.org, inetutils@packages.debian.org, libpam-opie@packages.debian.org
Subject: Re: Bug#511582: #511582: updated patch, also fixes lintian error (and a few lintian warnings)
Date: Thu, 4 Nov 2010 23:40:39 +0100
On Fri, Sep 03, 2010 at 06:56:04PM +0200, Julien Cristau wrote:
> On Mon, Feb  1, 2010 at 00:51:43 -0500, Daniel Kahn Gillmor wrote:
> 
> > here is a revised patch for #511582 for opie, including a slightly
> > simpler fix for misaligned XORs and also fixing a lintian error and
> > several lintian warnings.
> > 
> > However, it still does not resolve the licensing concerns described on
> > this bug, and it also leaves several lintian warnings unresolved:
> > 
> > W: opie source: package-uses-deprecated-debhelper-compat-version 3
> > W: opie source: debian-rules-sets-DH_COMPAT line 5
> > W: opie source: ancient-standards-version 3.6.1.0 (current is 3.8.3)
> > W: opie-server: non-standard-file-perm etc/opiekeys 0600 != 0644
> > W: opie-server: setuid-binary usr/bin/opiepasswd 4755 root/root
> > 
> > In particular, i'm concerned that this package has a setuid binary, has
> > had only NMUs since 2004, hasn't been reviewed for recent Standards or
> > debhelper versions, and http://bugs.debian.org/511582#30 suggests that
> > the maintainer seems to think that we should move away from the codebase.
> > 
> > I'm wondering if we should remove the package from the archive entirely
> > as a result of this review.  I'm not comfortable NMUing a package with
> > these outstanding concerns.
> > 
> In order to remove the package, we'd have to remove its reverse
> dependencies, or change them to not need libopie-dev.  According to dak,
> that would be cyrus-sasl2, inetutils and libpam-opie.  Is opie an
> optional dependency for those packages (I'm guessing not for
> libpam-opie, no idea for the others)?

cyrus-sasl2 would need to drop the libsasl2-modules-otp binary package.

Cheers,
        Moritz




Information forwarded to debian-bugs-dist@lists.debian.org, Michael Stone <mstone@debian.org>:
Bug#511582; Package opie. (Thu, 02 Dec 2010 10:42:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Didier 'OdyX' Raboud" <didier@raboud.com>:
Extra info received and forwarded to list. Copy sent to Michael Stone <mstone@debian.org>. (Thu, 02 Dec 2010 10:42:02 GMT) Full text and rfc822 format available.

Message #79 received at 511582@bugs.debian.org (full text, mbox):

From: "Didier 'OdyX' Raboud" <didier@raboud.com>
To: debian-release@bugs.debian.org, 511582@bugs.debian.org
Cc: Moritz Muehlenhoff <jmm@inutil.org>, cyrus-sasl2@packages.debian.org, libpam-opie@packages.debian.org, cyrus-sasl2-heimdal@packages.debian.org, Julien Cristau <jcristau@debian.org>
Subject: Bug#511582: Plan of action ?
Date: Thu, 2 Dec 2010 11:39:21 +0100
[Message part 1 (text/plain, inline)]
Le Thursday 4 November 2010 23:40:39 Moritz Muehlenhoff, vous avez écrit :
> On Fri, Sep 03, 2010 at 06:56:04PM +0200, Julien Cristau wrote:
> > On Mon, Feb  1, 2010 at 00:51:43 -0500, Daniel Kahn Gillmor wrote:
> > > In particular, i'm concerned that this package has a setuid binary, has
> > > had only NMUs since 2004, hasn't been reviewed for recent Standards or
> > > debhelper versions, and http://bugs.debian.org/511582#30 suggests that
> > > the maintainer seems to think that we should move away from the
> > > codebase.
> > > 
> > > I'm wondering if we should remove the package from the archive entirely
> > > as a result of this review.  I'm not comfortable NMUing a package with
> > > these outstanding concerns.
> > 
> > In order to remove the package, we'd have to remove its reverse
> > dependencies, or change them to not need libopie-dev.  According to dak,
> > that would be cyrus-sasl2, inetutils and libpam-opie.  Is opie an
> > optional dependency for those packages (I'm guessing not for
> > libpam-opie, no idea for the others)?
> 
> cyrus-sasl2 would need to drop the libsasl2-modules-otp binary package.

Hi all, 
To: Release-Team to get your advice.

Assuming that the plan is still to get opie removed from Squeeze (at least), 
let's try to draw a plan of action towards it.

[] A removal bug should be filed against release.d.o (which could serve to keep 
track of the various things needed for it)

[] Reverse Dependencies need to get removed at the same time. This concerns one 
package: libpam-opie. Removal bug against release.d.o too then.

[] Reverse Build-Dependencies need to get fixed or removed, this concerns two 
other packages: cyrus-sasl2 and cyrus-sasl2-heimdal. This would mean "serious" 
(above RC) bugs against them.

This would basically mean two removals from squeeze and two serious bugs. May I 
proceed ?

Cheers, 

OdyX

-- 
Didier Raboud, proud Debian Maintainer (DM).
CH-1020 Renens
didier@raboud.com
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Michael Stone <mstone@debian.org>:
Bug#511582; Package opie. (Sun, 05 Dec 2010 21:15:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Moritz Muehlenhoff <jmm@inutil.org>:
Extra info received and forwarded to list. Copy sent to Michael Stone <mstone@debian.org>. (Sun, 05 Dec 2010 21:15:02 GMT) Full text and rfc822 format available.

Message #84 received at 511582@bugs.debian.org (full text, mbox):

From: Moritz Muehlenhoff <jmm@inutil.org>
To: Didier 'OdyX' Raboud <didier@raboud.com>
Cc: debian-release@bugs.debian.org, 511582@bugs.debian.org, Moritz Muehlenhoff <jmm@inutil.org>, cyrus-sasl2@packages.debian.org, libpam-opie@packages.debian.org, cyrus-sasl2-heimdal@packages.debian.org, Julien Cristau <jcristau@debian.org>
Subject: Re: Bug#511582: Plan of action ?
Date: Sun, 5 Dec 2010 22:11:23 +0100
On Thu, Dec 02, 2010 at 11:39:21AM +0100, Didier 'OdyX' Raboud wrote:
> Le Thursday 4 November 2010 23:40:39 Moritz Muehlenhoff, vous avez écrit :
> > On Fri, Sep 03, 2010 at 06:56:04PM +0200, Julien Cristau wrote:
> > > On Mon, Feb  1, 2010 at 00:51:43 -0500, Daniel Kahn Gillmor wrote:
> > > > In particular, i'm concerned that this package has a setuid binary, has
> > > > had only NMUs since 2004, hasn't been reviewed for recent Standards or
> > > > debhelper versions, and http://bugs.debian.org/511582#30 suggests that
> > > > the maintainer seems to think that we should move away from the
> > > > codebase.
> > > > 
> > > > I'm wondering if we should remove the package from the archive entirely
> > > > as a result of this review.  I'm not comfortable NMUing a package with
> > > > these outstanding concerns.
> > > 
> > > In order to remove the package, we'd have to remove its reverse
> > > dependencies, or change them to not need libopie-dev.  According to dak,
> > > that would be cyrus-sasl2, inetutils and libpam-opie.  Is opie an
> > > optional dependency for those packages (I'm guessing not for
> > > libpam-opie, no idea for the others)?
> > 
> > cyrus-sasl2 would need to drop the libsasl2-modules-otp binary package.
> 
> Hi all, 
> To: Release-Team to get your advice.
> 
> Assuming that the plan is still to get opie removed from Squeeze (at least), 
> let's try to draw a plan of action towards it.
> 
> [] A removal bug should be filed against release.d.o (which could serve to keep 
> track of the various things needed for it)
> 
> [] Reverse Dependencies need to get removed at the same time. This concerns one 
> package: libpam-opie. Removal bug against release.d.o too then.
> 
> [] Reverse Build-Dependencies need to get fixed or removed, this concerns two 
> other packages: cyrus-sasl2 and cyrus-sasl2-heimdal. This would mean "serious" 
> (above RC) bugs against them.
> 
> This would basically mean two removals from squeeze and two serious bugs. May I 
> proceed ?

IMO we should ignore this for Squeeze and proceed with removing opie after
the Squeeze release.

Cheers,
        Moritz




Information forwarded to debian-bugs-dist@lists.debian.org, Michael Stone <mstone@debian.org>:
Bug#511582; Package opie. (Sun, 05 Dec 2010 21:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Moritz Muehlenhoff <jmm@inutil.org>:
Extra info received and forwarded to list. Copy sent to Michael Stone <mstone@debian.org>. (Sun, 05 Dec 2010 21:27:03 GMT) Full text and rfc822 format available.

Message #89 received at 511582@bugs.debian.org (full text, mbox):

From: Moritz Muehlenhoff <jmm@inutil.org>
To: Didier 'OdyX' Raboud <didier@raboud.com>
Cc: debian-release@lists.debian.org, 511582@bugs.debian.org, Moritz Muehlenhoff <jmm@inutil.org>, cyrus-sasl2@packages.debian.org, libpam-opie@packages.debian.org, cyrus-sasl2-heimdal@packages.debian.org, Julien Cristau <jcristau@debian.org>
Subject: Re: Bug#511582: Plan of action ?
Date: Sun, 5 Dec 2010 22:23:04 +0100
On Thu, Dec 02, 2010 at 11:39:21AM +0100, Didier 'OdyX' Raboud wrote:
> Le Thursday 4 November 2010 23:40:39 Moritz Muehlenhoff, vous avez écrit :
> > On Fri, Sep 03, 2010 at 06:56:04PM +0200, Julien Cristau wrote:
> > > On Mon, Feb  1, 2010 at 00:51:43 -0500, Daniel Kahn Gillmor wrote:
> > > > In particular, i'm concerned that this package has a setuid binary, has
> > > > had only NMUs since 2004, hasn't been reviewed for recent Standards or
> > > > debhelper versions, and http://bugs.debian.org/511582#30 suggests that
> > > > the maintainer seems to think that we should move away from the
> > > > codebase.
> > > > 
> > > > I'm wondering if we should remove the package from the archive entirely
> > > > as a result of this review.  I'm not comfortable NMUing a package with
> > > > these outstanding concerns.
> > > 
> > > In order to remove the package, we'd have to remove its reverse
> > > dependencies, or change them to not need libopie-dev.  According to dak,
> > > that would be cyrus-sasl2, inetutils and libpam-opie.  Is opie an
> > > optional dependency for those packages (I'm guessing not for
> > > libpam-opie, no idea for the others)?
> > 
> > cyrus-sasl2 would need to drop the libsasl2-modules-otp binary package.
> 
> Hi all, 
> To: Release-Team to get your advice.
> 
> Assuming that the plan is still to get opie removed from Squeeze (at least), 
> let's try to draw a plan of action towards it.
> 
> [] A removal bug should be filed against release.d.o (which could serve to keep 
> track of the various things needed for it)
> 
> [] Reverse Dependencies need to get removed at the same time. This concerns one 
> package: libpam-opie. Removal bug against release.d.o too then.
> 
> [] Reverse Build-Dependencies need to get fixed or removed, this concerns two 
> other packages: cyrus-sasl2 and cyrus-sasl2-heimdal. This would mean "serious" 
> (above RC) bugs against them.
> 
> This would basically mean two removals from squeeze and two serious bugs. May I 
> proceed ?

[Resending, I typoed the debian-release mailing list initially]

IMO we should ignore this for Squeeze and proceed with removing opie after
the Squeeze release.

Cheers,
Moritz




Information forwarded to debian-bugs-dist@lists.debian.org, Michael Stone <mstone@debian.org>:
Bug#511582; Package opie. (Wed, 08 Dec 2010 13:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Michael Stone <mstone@debian.org>. (Wed, 08 Dec 2010 13:24:03 GMT) Full text and rfc822 format available.

Message #94 received at 511582@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Moritz Muehlenhoff <jmm@inutil.org>
Cc: Didier 'OdyX' Raboud <didier@raboud.com>, debian-release@lists.debian.org, 511582@bugs.debian.org, cyrus-sasl2@packages.debian.org, libpam-opie@packages.debian.org, cyrus-sasl2-heimdal@packages.debian.org
Subject: Re: Bug#511582: Plan of action ?
Date: Wed, 8 Dec 2010 14:20:53 +0100
[Message part 1 (text/plain, inline)]
tag 511582 squeeze-ignore
kthxbye

On Sun, Dec  5, 2010 at 22:23:04 +0100, Moritz Muehlenhoff wrote:

> IMO we should ignore this for Squeeze and proceed with removing opie after
> the Squeeze release.
> 
Sounds like a good plan.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Added tag(s) squeeze-ignore. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Wed, 08 Dec 2010 13:24:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Michael Stone <mstone@debian.org>:
Bug#511582; Package opie. (Fri, 08 Apr 2011 15:27:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jan Hauke Rahm <jhr@debian.org>:
Extra info received and forwarded to list. Copy sent to Michael Stone <mstone@debian.org>. (Fri, 08 Apr 2011 15:27:16 GMT) Full text and rfc822 format available.

Message #101 received at 511582@bugs.debian.org (full text, mbox):

From: Jan Hauke Rahm <jhr@debian.org>
To: debian-release@lists.debian.org, 511582@bugs.debian.org
Cc: cyrus-sasl2@packages.debian.org, libpam-opie@packages.debian.org
Subject: Re: Bug#511582: Plan of action ?
Date: Fri, 8 Apr 2011 17:16:46 +0200
[Message part 1 (text/plain, inline)]
On Wed, Dec 08, 2010 at 02:20:53PM +0100, Julien Cristau wrote:
> On Sun, Dec  5, 2010 at 22:23:04 +0100, Moritz Muehlenhoff wrote:
> 
> > IMO we should ignore this for Squeeze and proceed with removing opie after
> > the Squeeze release.
> > 
> Sounds like a good plan.

Here we are and I suggest we proceed, i.e.

(1) drop the binary package libsasl2-modules-otp from cyrus-sasl2,
(2) remove libpam-opie from unstable,
(3) remove opie from unstable.

Objections?

Hauke

-- 
 .''`.   Jan Hauke Rahm <jhr@debian.org>               www.jhr-online.de
: :'  :  Debian Developer                                 www.debian.org
`. `'`   Member of the Linux Foundation                    www.linux.com
  `-     Fellow of the Free Software Foundation Europe      www.fsfe.org
[signature.asc (application/pgp-signature, inline)]

Reply sent to Debian FTP Masters <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. (Mon, 11 Apr 2011 13:58:02 GMT) Full text and rfc822 format available.

Notification sent to Matthias Klose <doko@cs.tu-berlin.de>:
Bug acknowledged by developer. (Mon, 11 Apr 2011 13:58:11 GMT) Full text and rfc822 format available.

Message #106 received at 511582-done@bugs.debian.org (full text, mbox):

From: Debian FTP Masters <ftpmaster@ftp-master.debian.org>
To: 111917-done@bugs.debian.org,151203-done@bugs.debian.org,265104-done@bugs.debian.org,378768-done@bugs.debian.org,378791-done@bugs.debian.org,417866-done@bugs.debian.org,446707-done@bugs.debian.org,511582-done@bugs.debian.org,517823-done@bugs.debian.org,
Cc: opie@packages.debian.org, opie@packages.qa.debian.org
Subject: Bug#622246: Removed package(s) from unstable
Date: Mon, 11 Apr 2011 13:47:47 +0000
Version: 2.32.dfsg.1-0.2+rm

Dear submitter,

as the package opie has just been removed from the Debian archive
unstable we hereby close the associated bug reports.  We are sorry
that we couldn't deal with your issue properly.

For details on the removal, please see http://bugs.debian.org/622246

The version of this package that was in Debian prior to this removal
can still be found using http://snapshot.debian.org/.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Alexander Reichle-Schmehl (the ftpmaster behind the curtain)




Information forwarded to debian-bugs-dist@lists.debian.org, Michael Stone <mstone@debian.org>:
Bug#511582; Package opie. (Mon, 11 Apr 2011 14:45:32 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jan Hauke Rahm <jhr@debian.org>:
Extra info received and forwarded to list. Copy sent to Michael Stone <mstone@debian.org>. (Mon, 11 Apr 2011 14:45:34 GMT) Full text and rfc822 format available.

Message #111 received at 511582@bugs.debian.org (full text, mbox):

From: Jan Hauke Rahm <jhr@debian.org>
To: debian-release@lists.debian.org, 511582@bugs.debian.org
Subject: Re: Bug#511582: Plan of action ?
Date: Mon, 11 Apr 2011 16:42:22 +0200
[Message part 1 (text/plain, inline)]
On Fri, Apr 08, 2011 at 05:16:46PM +0200, Jan Hauke Rahm wrote:
> On Wed, Dec 08, 2010 at 02:20:53PM +0100, Julien Cristau wrote:
> > On Sun, Dec  5, 2010 at 22:23:04 +0100, Moritz Muehlenhoff wrote:
> > 
> > > IMO we should ignore this for Squeeze and proceed with removing opie after
> > > the Squeeze release.
> > > 
> > Sounds like a good plan.
> 
> Here we are and I suggest we proceed, i.e.
> 
> (1) drop the binary package libsasl2-modules-otp from cyrus-sasl2,
> (2) remove libpam-opie from unstable,
> (3) remove opie from unstable.
> 
> Objections?

None seen, bugs filed: #622220, #622221, #622246.

Hauke

-- 
 .''`.   Jan Hauke Rahm <jhr@debian.org>               www.jhr-online.de
: :'  :  Debian Developer                                 www.debian.org
`. `'`   Member of the Linux Foundation                    www.linux.com
  `-     Fellow of the Free Software Foundation Europe      www.fsfe.org
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 05 May 2013 08:00:07 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 17:17:03 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.